uint8_t Out16x24Char_light(char charater, uint8_t  x, uint8_t y, uint8_t red,uint8_t green,uint8_t blue){
  switch (charater){
    case '0':
      LineH(x+2,y,12,red,green,blue);
      LineH(x+1,y+1,14,red,green,blue);
      LineH(x,y+2,16,red,green,blue);
      LineH(x,y+3,3,red,green,blue);
	  LineH(x+13,y+3,3,red,green,blue);
      LineV(x,y+4,16,red,green,blue);
      LineV(x+1,y+4,16,red,green,blue);
      LineV(x+2,y+4,16,red,green,blue);
      LineV(x+13,y+4,16,red,green,blue);
      LineV(x+14,y+4,16,red,green,blue);
      LineV(x+15,y+4,16,red,green,blue);
      LineH(x,y+20,3,red,green,blue);
	  LineH(x+13,y+20,3,red,green,blue);
      LineH(x,y+21,16,red,green,blue);
      LineH(x+1,y+22,14,red,green,blue);
      LineH(x+2,y+23,12,red,green,blue);
      return 16;
    break;
    case '1':
      LineV(x,y+6,4,red,green,blue);
      LineV(x+1,y+5,4,red,green,blue);
      LineV(x+2,y+4,4,red,green,blue);
      LineV(x+3,y+3,4,red,green,blue);
      LineV(x+4,y+2,4,red,green,blue);
      LineV(x+5,y+1,4,red,green,blue);
      LineV(x+6,y,4,red,green,blue);
      LineV(x+7,y,24,red,green,blue);
      LineV(x+8,y,24,red,green,blue);
      LineV(x+9,y,24,red,green,blue);
      return 10;
    break;
    case '2':
      LineH(x+2,y,12,red,green,blue);
      LineH(x+1,y+1,14,red,green,blue);
      LineH(x,y+2,16,red,green,blue);
      LineH(x,y+3,3,red,green,blue);
      LineH(x,y+4,3,red,green,blue);
      LineV(x+15,y+3,5,red,green,blue);
      LineV(x+14,y+3,5,red,green,blue);
      LineV(x+13,y+3,5,red,green,blue);
	  LineH(x+12,y+8,4,red,green,blue);
      LineH(x+11,y+9,4,red,green,blue);
      LineH(x+10,y+10,4,red,green,blue);
      LineH(x+9,y+11,4,red,green,blue);
      LineH(x+8,y+12,4,red,green,blue);
      LineH(x+7,y+13,4,red,green,blue);
      LineH(x+6,y+14,4,red,green,blue);
      LineH(x+5,y+15,4,red,green,blue);
      LineH(x+4,y+16,4,red,green,blue);
      LineH(x+3,y+17,4,red,green,blue);
      LineH(x+2,y+18,4,red,green,blue);
      LineH(x+1,y+19,4,red,green,blue);
      LineH(x,y+20,4,red,green,blue);
      LineH(x,y+21,16,red,green,blue);
      LineH(x,y+22,16,red,green,blue);
      LineH(x,y+23,16,red,green,blue);
      return 16;
    break;
     case '3':
      LineH(x+2,y,12,red,green,blue);
      LineH(x+1,y+1,14,red,green,blue);
      LineH(x,y+2,16,red,green,blue);
      LineH(x,y+3,3,red,green,blue);
	  LineH(x+13,y+3,3,red,green,blue);
      LineH(x,y+4,3,red,green,blue);
      LineV(x+12,y+10,3,red,green,blue);
      LineV(x+13,y+4,16,red,green,blue);
      LineV(x+14,y+4,16,red,green,blue);
      LineV(x+15,y+4,6,red,green,blue);
      LineV(x+15,y+13,7,red,green,blue);
      LineH(x+6,y+10,6,red,green,blue);
      LineH(x+6,y+11,6,red,green,blue);
      LineH(x+6,y+12,6,red,green,blue);
      LineH(x,y+19,3,red,green,blue);
      LineH(x,y+20,3,red,green,blue);
	  LineH(x+13,y+20,3,red,green,blue);
      LineH(x,y+21,16,red,green,blue);
      LineH(x+1,y+22,14,red,green,blue);
      LineH(x+2,y+23,12,red,green,blue);
      return 16;
    break;
    case '4':
      LineV(x,y,10,red,green,blue);
      LineV(x+1,y,11,red,green,blue);
      LineV(x+2,y,12,red,green,blue);
      
      LineH(x+3,y+10,10,red,green,blue);
      LineH(x+3,y+11,10,red,green,blue);
      LineH(x+3,y+12,10,red,green,blue);
      
      LineV(x+13,y,24,red,green,blue);
      LineV(x+14,y,24,red,green,blue);
      LineV(x+15,y,24,red,green,blue);
      return 16;
    break;
    case '5':
	//ab hier noch machen
      LineH(x+1,y,15,red,green,blue);
      LineH(x,y+1,16,red,green,blue);
      LineH(x,y+2,15,red,green,blue);
      LineV(x,y+3,8,red,green,blue);
      LineV(x+1,y+3,9,red,green,blue);
      LineV(x+2,y+3,10,red,green,blue);
      LineH(x+3,y+10,11,red,green,blue);
      LineH(x+3,y+11,12,red,green,blue);
      LineH(x+3,y+12,13,red,green,blue);
      LineV(x+13,y+13,8,red,green,blue);
      LineV(x+14,y+13,8,red,green,blue);
      LineV(x+15,y+13,8,red,green,blue);
      LineH(x,y+19,3,red,green,blue);
      LineH(x,y+20,3,red,green,blue);
      LineH(x,y+21,16,red,green,blue);
      LineH(x+1,y+22,14,red,green,blue);
      LineH(x+2,y+23,12,red,green,blue);
      return 16;
    break;
     case '6':
      LineH(x+2,y,12,red,green,blue);
      LineH(x+1,y+1,14,red,green,blue);
      LineH(x,y+2,16,red,green,blue);
      LineV(x,y+3,18,red,green,blue);
      LineV(x+1,y+3,18,red,green,blue);
      LineV(x+2,y+3,18,red,green,blue);
      LineH(x+3,y+10,11,red,green,blue);
      LineH(x+3,y+11,12,red,green,blue);
      LineH(x+3,y+12,13,red,green,blue);
      LineV(x+13,y+13,8,red,green,blue);
      LineV(x+14,y+13,8,red,green,blue);
      LineV(x+15,y+13,8,red,green,blue);
      LineH(x,y+21,16,red,green,blue);
      LineH(x+1,y+22,14,red,green,blue);
      LineH(x+2,y+23,12,red,green,blue);
      return 16;
    break;
    case '7':
      LineH(x+1,y,15,red,green,blue);
      LineH(x,y+1,16,red,green,blue);
      LineH(x,y+2,16,red,green,blue);
      LineH(x+13,y+3,3,red,green,blue);
      LineH(x+13,y+4,3,red,green,blue);
      LineH(x+13,y+5,3,red,green,blue);
      LineH(x+12,y+6,3,red,green,blue);
      LineH(x+12,y+7,3,red,green,blue);
      LineH(x+12,y+8,3,red,green,blue);
      LineH(x+11,y+9,3,red,green,blue);
      LineH(x+11,y+10,3,red,green,blue);
      LineH(x+11,y+11,3,red,green,blue);
      LineH(x+10,y+12,3,red,green,blue);
      LineH(x+10,y+13,3,red,green,blue);
      LineH(x+10,y+14,3,red,green,blue);
      LineH(x+9,y+15,3,red,green,blue);
      LineH(x+9,y+16,3,red,green,blue);
      LineH(x+9,y+17,3,red,green,blue);
      LineH(x+8,y+18,3,red,green,blue);
      LineH(x+8,y+19,3,red,green,blue);
      LineH(x+8,y+20,3,red,green,blue);
      LineH(x+7,y+21,3,red,green,blue);
      LineH(x+7,y+22,3,red,green,blue);
      LineH(x+7,y+23,3,red,green,blue);
      return 16;
    break;
     case '8':
      LineH(x+2,y,12,red,green,blue);
      LineH(x+1,y+1,14,red,green,blue);
      LineH(x,y+2,16,red,green,blue);
      
      LineV(x,y+3,7,red,green,blue);
      LineV(x,y+13,8,red,green,blue);
      LineV(x+1,y+3,18,red,green,blue);
      LineV(x+2,y+3,18,red,green,blue);
      
      LineH(x+3,y+10,10,red,green,blue);
      LineH(x+3,y+11,10,red,green,blue);
      LineH(x+3,y+12,10,red,green,blue);
      
      LineV(x+13,y+3,18,red,green,blue);
      LineV(x+14,y+3,18,red,green,blue);
      LineV(x+15,y+3,7,red,green,blue);
      LineV(x+15,y+13,8,red,green,blue);
      
      LineH(x,y+21,16,red,green,blue);
      LineH(x+1,y+22,14,red,green,blue);
      LineH(x+2,y+23,12,red,green,blue);
      return 16;
    break;
     case '9':
      LineH(x+2,y,12,red,green,blue);
      LineH(x+1,y+1,14,red,green,blue);
      LineH(x,y+2,16,red,green,blue);
      
      LineV(x,y+3,8,red,green,blue);
      LineV(x+1,y+3,9,red,green,blue);
      LineV(x+2,y+3,10,red,green,blue);
      
      LineH(x+3,y+10,10,red,green,blue);
      LineH(x+3,y+11,10,red,green,blue);
      LineH(x+3,y+12,10,red,green,blue);
      
      LineV(x+13,y+3,18,red,green,blue);
      LineV(x+14,y+3,18,red,green,blue);
      LineV(x+15,y+3,18,red,green,blue);
      
      LineH(x,y+21,16,red,green,blue);
      LineH(x+1,y+22,14,red,green,blue);
      LineH(x+2,y+23,12,red,green,blue);
      return 16;
    break;
    case '.':
      LineH(x,y+21,3,red,green,blue);
      LineH(x,y+22,3,red,green,blue);
      LineH(x,y+23,3,red,green,blue);
      return 3;
    break;
    case ':':
      LineH(x,y+6,2,red,green,blue);
      LineH(x,y+7,2,red,green,blue);
      
      LineH(x,y+16,2,red,green,blue);
      LineH(x,y+17,2,red,green,blue);
      return 2;
    break;
    case '>':
      LineH(x,y+2,4,red,green,blue);
      LineH(x,y+3,4,red,green,blue);
      LineH(x,y+4,4,red,green,blue);
      LineH(x,y+5,4,red,green,blue);
      
      LineH(x+4,y+6,4,red,green,blue);
      LineH(x+4,y+7,4,red,green,blue);
      LineH(x+4,y+8,4,red,green,blue);
      LineH(x+4,y+9,4,red,green,blue);
      
      LineH(x+8,y+10,4,red,green,blue);
      LineH(x+8,y+11,4,red,green,blue);
      LineH(x+8,y+12,4,red,green,blue);
      LineH(x+8,y+13,4,red,green,blue);
      
      LineH(x+4,y+14,4,red,green,blue);
      LineH(x+4,y+15,4,red,green,blue);
      LineH(x+4,y+16,4,red,green,blue);
      LineH(x+4,y+17,4,red,green,blue);
      
      LineH(x,y+18,4,red,green,blue);
      LineH(x,y+19,4,red,green,blue);
      LineH(x,y+20,4,red,green,blue);
      LineH(x,y+21,4,red,green,blue);
      
      return 12;
    break;
    case ' ':
      for(uint8_t var= 0;var < 8;var++){
        LineV(x+var,y,24,0,0,0);
      }
      return 8;
    break;
    case '-':
      LineH(x,y+10,6,red,green,blue);
      LineH(x,y+11,6,red,green,blue);
      LineH(x,y+12,6,red,green,blue);
      return 6;
    break;
  }
  return 0;
}
